<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Tue Aug 01 04:46:22 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>GCMPackage.Literals (org.eclipse.papyrus.marte.static.profile 1.2.2 API)</title>
<meta name="date" content="2017-08-01">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="GCMPackage.Literals (org.eclipse.papyrus.marte.static.profile 1.2.2 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/GCMPackage.Literals.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/GCMPackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.GCM"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/GCMTrigger.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.GCM"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/GCMPackage.Literals.html" target="_top">Frames</a></li>
<li><a href="GCMPackage.Literals.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.MARTE.MARTE_DesignModel.GCM</div>
<h2 title="Interface GCMPackage.Literals" class="title">Interface GCMPackage.Literals</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Enclosing interface:</dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/GCMPackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.GCM">GCMPackage</a></dd>
</dl>
<hr>
<br>
<pre>public static interface <span class="typeNameLabel">GCMPackage.Literals</span></pre>
<div class="block"><!-- begin-user-doc -->
 Defines literals for the meta objects that represent
 <ul>
 <li>each class,</li>
 <li>each feature of each class,</li>
 <li>each enum,</li>
 <li>and each data type</li>
 </ul>
 <!-- end-user-doc --></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/GCMPackage.Literals.html#CLIENT_SERVER_FEATURE">CLIENT_SERVER_FEATURE</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/impl/ClientServerFeatureImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.GCM.impl"><code><em>Client Server Feature</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/GCMPackage.Literals.html#CLIENT_SERVER_FEATURE__BASE_BEHAVIORAL_FEATURE">CLIENT_SERVER_FEATURE__BASE_BEHAVIORAL_FEATURE</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base Behavioral Feature</b></em>' reference feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/GCMPackage.Literals.html#CLIENT_SERVER_FEATURE__KIND">CLIENT_SERVER_FEATURE__KIND</a></span></code>
<div class="block">The meta object literal for the '<em><b>Kind</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EEnum</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/GCMPackage.Literals.html#CLIENT_SERVER_KIND">CLIENT_SERVER_KIND</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/ClientServerKind.html" title="enum in org.eclipse.papyrus.MARTE.MARTE_DesignModel.GCM"><code><em>Client Server Kind</em></code></a>' enum.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/GCMPackage.Literals.html#CLIENT_SERVER_PORT">CLIENT_SERVER_PORT</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/impl/ClientServerPortImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.GCM.impl"><code><em>Client Server Port</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/GCMPackage.Literals.html#CLIENT_SERVER_PORT__BASE_PORT">CLIENT_SERVER_PORT__BASE_PORT</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base Port</b></em>' reference feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/GCMPackage.Literals.html#CLIENT_SERVER_PORT__FEATURES_SPEC">CLIENT_SERVER_PORT__FEATURES_SPEC</a></span></code>
<div class="block">The meta object literal for the '<em><b>Features Spec</b></em>' reference feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/GCMPackage.Literals.html#CLIENT_SERVER_PORT__KIND">CLIENT_SERVER_PORT__KIND</a></span></code>
<div class="block">The meta object literal for the '<em><b>Kind</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/GCMPackage.Literals.html#CLIENT_SERVER_PORT__PROV_INTERFACE">CLIENT_SERVER_PORT__PROV_INTERFACE</a></span></code>
<div class="block">The meta object literal for the '<em><b>Prov Interface</b></em>' reference list feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/GCMPackage.Literals.html#CLIENT_SERVER_PORT__REQ_INTERFACE">CLIENT_SERVER_PORT__REQ_INTERFACE</a></span></code>
<div class="block">The meta object literal for the '<em><b>Req Interface</b></em>' reference list feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/GCMPackage.Literals.html#CLIENT_SERVER_PORT__SPECIFICATION_KIND">CLIENT_SERVER_PORT__SPECIFICATION_KIND</a></span></code>
<div class="block">The meta object literal for the '<em><b>Specification Kind</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/GCMPackage.Literals.html#CLIENT_SERVER_SPECIFICATION">CLIENT_SERVER_SPECIFICATION</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/impl/ClientServerSpecificationImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.GCM.impl"><code><em>Client Server Specification</em></code></a>' class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/GCMPackage.Literals.html#CLIENT_SERVER_SPECIFICATION__BASE_INTERFACE">CLIENT_SERVER_SPECIFICATION__BASE_INTERFACE</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base Interface</b></em>' reference feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/GCMPackage.Literals.html#DATA_EVENT">DATA_EVENT</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/impl/DataEventImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.GCM.impl"><code><em>Data Event</em></code></a>' class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/GCMPackage.Literals.html#DATA_EVENT__BASE_ANY_RECEIVE_EVENT">DATA_EVENT__BASE_ANY_RECEIVE_EVENT</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base Any Receive Event</b></em>' reference feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/GCMPackage.Literals.html#DATA_EVENT__CLASSIFIER">DATA_EVENT__CLASSIFIER</a></span></code>
<div class="block">The meta object literal for the '<em><b>Classifier</b></em>' reference feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/GCMPackage.Literals.html#DATA_POOL">DATA_POOL</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/impl/DataPoolImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.GCM.impl"><code><em>Data Pool</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/GCMPackage.Literals.html#DATA_POOL__BASE_PROPERTY">DATA_POOL__BASE_PROPERTY</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base Property</b></em>' reference feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/GCMPackage.Literals.html#DATA_POOL__INSERTION">DATA_POOL__INSERTION</a></span></code>
<div class="block">The meta object literal for the '<em><b>Insertion</b></em>' reference feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/GCMPackage.Literals.html#DATA_POOL__ORDERING">DATA_POOL__ORDERING</a></span></code>
<div class="block">The meta object literal for the '<em><b>Ordering</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/GCMPackage.Literals.html#DATA_POOL__SELECTION">DATA_POOL__SELECTION</a></span></code>
<div class="block">The meta object literal for the '<em><b>Selection</b></em>' reference feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EEnum</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/GCMPackage.Literals.html#DATA_POOL_ORDERING_KIND">DATA_POOL_ORDERING_KIND</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/DataPoolOrderingKind.html" title="enum in org.eclipse.papyrus.MARTE.MARTE_DesignModel.GCM"><code><em>Data Pool Ordering Kind</em></code></a>' enum.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EEnum</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/GCMPackage.Literals.html#FLOW_DIRECTION_KIND">FLOW_DIRECTION_KIND</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/FlowDirectionKind.html" title="enum in org.eclipse.papyrus.MARTE.MARTE_DesignModel.GCM"><code><em>Flow Direction Kind</em></code></a>' enum.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/GCMPackage.Literals.html#FLOW_PORT">FLOW_PORT</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/impl/FlowPortImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.GCM.impl"><code><em>Flow Port</em></code></a>' class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/GCMPackage.Literals.html#FLOW_PORT__BASE_PORT">FLOW_PORT__BASE_PORT</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base Port</b></em>' reference feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/GCMPackage.Literals.html#FLOW_PORT__DIRECTION">FLOW_PORT__DIRECTION</a></span></code>
<div class="block">The meta object literal for the '<em><b>Direction</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/GCMPackage.Literals.html#FLOW_PORT__IS_ATOMIC">FLOW_PORT__IS_ATOMIC</a></span></code>
<div class="block">The meta object literal for the '<em><b>Is Atomic</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/GCMPackage.Literals.html#FLOW_PROPERTY">FLOW_PROPERTY</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/impl/FlowPropertyImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.GCM.impl"><code><em>Flow Property</em></code></a>' class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/GCMPackage.Literals.html#FLOW_PROPERTY__BASE_PROPERTY">FLOW_PROPERTY__BASE_PROPERTY</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base Property</b></em>' reference feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/GCMPackage.Literals.html#FLOW_PROPERTY__DIRECTION">FLOW_PROPERTY__DIRECTION</a></span></code>
<div class="block">The meta object literal for the '<em><b>Direction</b></em>' attribute feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/GCMPackage.Literals.html#FLOW_SPECIFICATION">FLOW_SPECIFICATION</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/impl/FlowSpecificationImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.GCM.impl"><code><em>Flow Specification</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/GCMPackage.Literals.html#FLOW_SPECIFICATION__BASE_INTERFACE">FLOW_SPECIFICATION__BASE_INTERFACE</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base Interface</b></em>' reference feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/GCMPackage.Literals.html#GCM_INVOCATING_BEHAVIOR">GCM_INVOCATING_BEHAVIOR</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/impl/GCMInvocatingBehaviorImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.GCM.impl"><code><em>Invocating Behavior</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/GCMPackage.Literals.html#GCM_INVOCATING_BEHAVIOR__BASE_BEHAVIOR">GCM_INVOCATING_BEHAVIOR__BASE_BEHAVIOR</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base Behavior</b></em>' reference feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/GCMPackage.Literals.html#GCM_INVOCATING_BEHAVIOR__INVOCATIONS">GCM_INVOCATING_BEHAVIOR__INVOCATIONS</a></span></code>
<div class="block">The meta object literal for the '<em><b>Invocations</b></em>' reference list feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/GCMPackage.Literals.html#GCM_INVOCATING_BEHAVIOR__ON_FEATURES">GCM_INVOCATING_BEHAVIOR__ON_FEATURES</a></span></code>
<div class="block">The meta object literal for the '<em><b>On Features</b></em>' reference list feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/GCMPackage.Literals.html#GCM_INVOCATING_BEHAVIOR__ON_PORTS">GCM_INVOCATING_BEHAVIOR__ON_PORTS</a></span></code>
<div class="block">The meta object literal for the '<em><b>On Ports</b></em>' reference list feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/GCMPackage.Literals.html#GCM_INVOCATION_ACTION">GCM_INVOCATION_ACTION</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/impl/GCMInvocationActionImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.GCM.impl"><code><em>Invocation Action</em></code></a>' class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/GCMPackage.Literals.html#GCM_INVOCATION_ACTION__BASE_INVOCATION_ACTION">GCM_INVOCATION_ACTION__BASE_INVOCATION_ACTION</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base Invocation Action</b></em>' reference feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/GCMPackage.Literals.html#GCM_INVOCATION_ACTION__ON_FEATURE">GCM_INVOCATION_ACTION__ON_FEATURE</a></span></code>
<div class="block">The meta object literal for the '<em><b>On Feature</b></em>' reference feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/GCMPackage.Literals.html#GCM_TRIGGER">GCM_TRIGGER</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/impl/GCMTriggerImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.GCM.impl"><code><em>Trigger</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/GCMPackage.Literals.html#GCM_TRIGGER__BASE_TRIGGER">GCM_TRIGGER__BASE_TRIGGER</a></span></code>
<div class="block">The meta object literal for the '<em><b>Base Trigger</b></em>' reference feature.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/GCMPackage.Literals.html#GCM_TRIGGER__FEATURE">GCM_TRIGGER__FEATURE</a></span></code>
<div class="block">The meta object literal for the '<em><b>Feature</b></em>' reference feature.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static org.eclipse.emf.ecore.EEnum</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/GCMPackage.Literals.html#PORT_SPECIFICATION_KIND">PORT_SPECIFICATION_KIND</a></span></code>
<div class="block">The meta object literal for the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/PortSpecificationKind.html" title="enum in org.eclipse.papyrus.MARTE.MARTE_DesignModel.GCM"><code><em>Port Specification Kind</em></code></a>' enum.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="FLOW_PROPERTY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FLOW_PROPERTY</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass FLOW_PROPERTY</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/impl/FlowPropertyImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.GCM.impl"><code><em>Flow Property</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/impl/FlowPropertyImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.GCM.impl"><code>FlowPropertyImpl</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/impl/GCMPackageImpl.html#getFlowProperty--"><code>GCMPackageImpl.getFlowProperty()</code></a></dd>
</dl>
</li>
</ul>
<a name="FLOW_PROPERTY__DIRECTION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FLOW_PROPERTY__DIRECTION</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute FLOW_PROPERTY__DIRECTION</pre>
<div class="block">The meta object literal for the '<em><b>Direction</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="FLOW_PROPERTY__BASE_PROPERTY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FLOW_PROPERTY__BASE_PROPERTY</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference FLOW_PROPERTY__BASE_PROPERTY</pre>
<div class="block">The meta object literal for the '<em><b>Base Property</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="FLOW_PORT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FLOW_PORT</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass FLOW_PORT</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/impl/FlowPortImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.GCM.impl"><code><em>Flow Port</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/impl/FlowPortImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.GCM.impl"><code>FlowPortImpl</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/impl/GCMPackageImpl.html#getFlowPort--"><code>GCMPackageImpl.getFlowPort()</code></a></dd>
</dl>
</li>
</ul>
<a name="FLOW_PORT__IS_ATOMIC">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FLOW_PORT__IS_ATOMIC</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute FLOW_PORT__IS_ATOMIC</pre>
<div class="block">The meta object literal for the '<em><b>Is Atomic</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="FLOW_PORT__DIRECTION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FLOW_PORT__DIRECTION</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute FLOW_PORT__DIRECTION</pre>
<div class="block">The meta object literal for the '<em><b>Direction</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="FLOW_PORT__BASE_PORT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FLOW_PORT__BASE_PORT</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference FLOW_PORT__BASE_PORT</pre>
<div class="block">The meta object literal for the '<em><b>Base Port</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="CLIENT_SERVER_PORT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CLIENT_SERVER_PORT</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass CLIENT_SERVER_PORT</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/impl/ClientServerPortImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.GCM.impl"><code><em>Client Server Port</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/impl/ClientServerPortImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.GCM.impl"><code>ClientServerPortImpl</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/impl/GCMPackageImpl.html#getClientServerPort--"><code>GCMPackageImpl.getClientServerPort()</code></a></dd>
</dl>
</li>
</ul>
<a name="CLIENT_SERVER_PORT__BASE_PORT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CLIENT_SERVER_PORT__BASE_PORT</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference CLIENT_SERVER_PORT__BASE_PORT</pre>
<div class="block">The meta object literal for the '<em><b>Base Port</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="CLIENT_SERVER_PORT__SPECIFICATION_KIND">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CLIENT_SERVER_PORT__SPECIFICATION_KIND</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute CLIENT_SERVER_PORT__SPECIFICATION_KIND</pre>
<div class="block">The meta object literal for the '<em><b>Specification Kind</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="CLIENT_SERVER_PORT__KIND">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CLIENT_SERVER_PORT__KIND</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute CLIENT_SERVER_PORT__KIND</pre>
<div class="block">The meta object literal for the '<em><b>Kind</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="CLIENT_SERVER_PORT__PROV_INTERFACE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CLIENT_SERVER_PORT__PROV_INTERFACE</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference CLIENT_SERVER_PORT__PROV_INTERFACE</pre>
<div class="block">The meta object literal for the '<em><b>Prov Interface</b></em>' reference list feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="CLIENT_SERVER_PORT__REQ_INTERFACE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CLIENT_SERVER_PORT__REQ_INTERFACE</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference CLIENT_SERVER_PORT__REQ_INTERFACE</pre>
<div class="block">The meta object literal for the '<em><b>Req Interface</b></em>' reference list feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="CLIENT_SERVER_PORT__FEATURES_SPEC">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CLIENT_SERVER_PORT__FEATURES_SPEC</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference CLIENT_SERVER_PORT__FEATURES_SPEC</pre>
<div class="block">The meta object literal for the '<em><b>Features Spec</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="CLIENT_SERVER_SPECIFICATION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CLIENT_SERVER_SPECIFICATION</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass CLIENT_SERVER_SPECIFICATION</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/impl/ClientServerSpecificationImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.GCM.impl"><code><em>Client Server Specification</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/impl/ClientServerSpecificationImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.GCM.impl"><code>ClientServerSpecificationImpl</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/impl/GCMPackageImpl.html#getClientServerSpecification--"><code>GCMPackageImpl.getClientServerSpecification()</code></a></dd>
</dl>
</li>
</ul>
<a name="CLIENT_SERVER_SPECIFICATION__BASE_INTERFACE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CLIENT_SERVER_SPECIFICATION__BASE_INTERFACE</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference CLIENT_SERVER_SPECIFICATION__BASE_INTERFACE</pre>
<div class="block">The meta object literal for the '<em><b>Base Interface</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="FLOW_SPECIFICATION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FLOW_SPECIFICATION</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass FLOW_SPECIFICATION</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/impl/FlowSpecificationImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.GCM.impl"><code><em>Flow Specification</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/impl/FlowSpecificationImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.GCM.impl"><code>FlowSpecificationImpl</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/impl/GCMPackageImpl.html#getFlowSpecification--"><code>GCMPackageImpl.getFlowSpecification()</code></a></dd>
</dl>
</li>
</ul>
<a name="FLOW_SPECIFICATION__BASE_INTERFACE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FLOW_SPECIFICATION__BASE_INTERFACE</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference FLOW_SPECIFICATION__BASE_INTERFACE</pre>
<div class="block">The meta object literal for the '<em><b>Base Interface</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="CLIENT_SERVER_FEATURE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CLIENT_SERVER_FEATURE</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass CLIENT_SERVER_FEATURE</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/impl/ClientServerFeatureImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.GCM.impl"><code><em>Client Server Feature</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/impl/ClientServerFeatureImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.GCM.impl"><code>ClientServerFeatureImpl</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/impl/GCMPackageImpl.html#getClientServerFeature--"><code>GCMPackageImpl.getClientServerFeature()</code></a></dd>
</dl>
</li>
</ul>
<a name="CLIENT_SERVER_FEATURE__KIND">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CLIENT_SERVER_FEATURE__KIND</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute CLIENT_SERVER_FEATURE__KIND</pre>
<div class="block">The meta object literal for the '<em><b>Kind</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="CLIENT_SERVER_FEATURE__BASE_BEHAVIORAL_FEATURE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CLIENT_SERVER_FEATURE__BASE_BEHAVIORAL_FEATURE</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference CLIENT_SERVER_FEATURE__BASE_BEHAVIORAL_FEATURE</pre>
<div class="block">The meta object literal for the '<em><b>Base Behavioral Feature</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="GCM_TRIGGER">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GCM_TRIGGER</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass GCM_TRIGGER</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/impl/GCMTriggerImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.GCM.impl"><code><em>Trigger</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/impl/GCMTriggerImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.GCM.impl"><code>GCMTriggerImpl</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/impl/GCMPackageImpl.html#getGCMTrigger--"><code>GCMPackageImpl.getGCMTrigger()</code></a></dd>
</dl>
</li>
</ul>
<a name="GCM_TRIGGER__BASE_TRIGGER">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GCM_TRIGGER__BASE_TRIGGER</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference GCM_TRIGGER__BASE_TRIGGER</pre>
<div class="block">The meta object literal for the '<em><b>Base Trigger</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="GCM_TRIGGER__FEATURE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GCM_TRIGGER__FEATURE</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference GCM_TRIGGER__FEATURE</pre>
<div class="block">The meta object literal for the '<em><b>Feature</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="GCM_INVOCATION_ACTION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GCM_INVOCATION_ACTION</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass GCM_INVOCATION_ACTION</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/impl/GCMInvocationActionImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.GCM.impl"><code><em>Invocation Action</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/impl/GCMInvocationActionImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.GCM.impl"><code>GCMInvocationActionImpl</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/impl/GCMPackageImpl.html#getGCMInvocationAction--"><code>GCMPackageImpl.getGCMInvocationAction()</code></a></dd>
</dl>
</li>
</ul>
<a name="GCM_INVOCATION_ACTION__BASE_INVOCATION_ACTION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GCM_INVOCATION_ACTION__BASE_INVOCATION_ACTION</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference GCM_INVOCATION_ACTION__BASE_INVOCATION_ACTION</pre>
<div class="block">The meta object literal for the '<em><b>Base Invocation Action</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="GCM_INVOCATION_ACTION__ON_FEATURE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GCM_INVOCATION_ACTION__ON_FEATURE</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference GCM_INVOCATION_ACTION__ON_FEATURE</pre>
<div class="block">The meta object literal for the '<em><b>On Feature</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="DATA_EVENT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DATA_EVENT</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass DATA_EVENT</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/impl/DataEventImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.GCM.impl"><code><em>Data Event</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/impl/DataEventImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.GCM.impl"><code>DataEventImpl</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/impl/GCMPackageImpl.html#getDataEvent--"><code>GCMPackageImpl.getDataEvent()</code></a></dd>
</dl>
</li>
</ul>
<a name="DATA_EVENT__BASE_ANY_RECEIVE_EVENT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DATA_EVENT__BASE_ANY_RECEIVE_EVENT</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference DATA_EVENT__BASE_ANY_RECEIVE_EVENT</pre>
<div class="block">The meta object literal for the '<em><b>Base Any Receive Event</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="DATA_EVENT__CLASSIFIER">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DATA_EVENT__CLASSIFIER</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference DATA_EVENT__CLASSIFIER</pre>
<div class="block">The meta object literal for the '<em><b>Classifier</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="DATA_POOL">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DATA_POOL</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass DATA_POOL</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/impl/DataPoolImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.GCM.impl"><code><em>Data Pool</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/impl/DataPoolImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.GCM.impl"><code>DataPoolImpl</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/impl/GCMPackageImpl.html#getDataPool--"><code>GCMPackageImpl.getDataPool()</code></a></dd>
</dl>
</li>
</ul>
<a name="DATA_POOL__ORDERING">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DATA_POOL__ORDERING</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EAttribute DATA_POOL__ORDERING</pre>
<div class="block">The meta object literal for the '<em><b>Ordering</b></em>' attribute feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="DATA_POOL__BASE_PROPERTY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DATA_POOL__BASE_PROPERTY</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference DATA_POOL__BASE_PROPERTY</pre>
<div class="block">The meta object literal for the '<em><b>Base Property</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="DATA_POOL__INSERTION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DATA_POOL__INSERTION</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference DATA_POOL__INSERTION</pre>
<div class="block">The meta object literal for the '<em><b>Insertion</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="DATA_POOL__SELECTION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DATA_POOL__SELECTION</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference DATA_POOL__SELECTION</pre>
<div class="block">The meta object literal for the '<em><b>Selection</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="GCM_INVOCATING_BEHAVIOR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GCM_INVOCATING_BEHAVIOR</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EClass GCM_INVOCATING_BEHAVIOR</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/impl/GCMInvocatingBehaviorImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.GCM.impl"><code><em>Invocating Behavior</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/impl/GCMInvocatingBehaviorImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.GCM.impl"><code>GCMInvocatingBehaviorImpl</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/impl/GCMPackageImpl.html#getGCMInvocatingBehavior--"><code>GCMPackageImpl.getGCMInvocatingBehavior()</code></a></dd>
</dl>
</li>
</ul>
<a name="GCM_INVOCATING_BEHAVIOR__BASE_BEHAVIOR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GCM_INVOCATING_BEHAVIOR__BASE_BEHAVIOR</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference GCM_INVOCATING_BEHAVIOR__BASE_BEHAVIOR</pre>
<div class="block">The meta object literal for the '<em><b>Base Behavior</b></em>' reference feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="GCM_INVOCATING_BEHAVIOR__ON_PORTS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GCM_INVOCATING_BEHAVIOR__ON_PORTS</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference GCM_INVOCATING_BEHAVIOR__ON_PORTS</pre>
<div class="block">The meta object literal for the '<em><b>On Ports</b></em>' reference list feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="GCM_INVOCATING_BEHAVIOR__ON_FEATURES">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GCM_INVOCATING_BEHAVIOR__ON_FEATURES</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference GCM_INVOCATING_BEHAVIOR__ON_FEATURES</pre>
<div class="block">The meta object literal for the '<em><b>On Features</b></em>' reference list feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="GCM_INVOCATING_BEHAVIOR__INVOCATIONS">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GCM_INVOCATING_BEHAVIOR__INVOCATIONS</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EReference GCM_INVOCATING_BEHAVIOR__INVOCATIONS</pre>
<div class="block">The meta object literal for the '<em><b>Invocations</b></em>' reference list feature.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="FLOW_DIRECTION_KIND">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FLOW_DIRECTION_KIND</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EEnum FLOW_DIRECTION_KIND</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/FlowDirectionKind.html" title="enum in org.eclipse.papyrus.MARTE.MARTE_DesignModel.GCM"><code><em>Flow Direction Kind</em></code></a>' enum.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/FlowDirectionKind.html" title="enum in org.eclipse.papyrus.MARTE.MARTE_DesignModel.GCM"><code>FlowDirectionKind</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/impl/GCMPackageImpl.html#getFlowDirectionKind--"><code>GCMPackageImpl.getFlowDirectionKind()</code></a></dd>
</dl>
</li>
</ul>
<a name="PORT_SPECIFICATION_KIND">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PORT_SPECIFICATION_KIND</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EEnum PORT_SPECIFICATION_KIND</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/PortSpecificationKind.html" title="enum in org.eclipse.papyrus.MARTE.MARTE_DesignModel.GCM"><code><em>Port Specification Kind</em></code></a>' enum.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/PortSpecificationKind.html" title="enum in org.eclipse.papyrus.MARTE.MARTE_DesignModel.GCM"><code>PortSpecificationKind</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/impl/GCMPackageImpl.html#getPortSpecificationKind--"><code>GCMPackageImpl.getPortSpecificationKind()</code></a></dd>
</dl>
</li>
</ul>
<a name="CLIENT_SERVER_KIND">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CLIENT_SERVER_KIND</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EEnum CLIENT_SERVER_KIND</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/ClientServerKind.html" title="enum in org.eclipse.papyrus.MARTE.MARTE_DesignModel.GCM"><code><em>Client Server Kind</em></code></a>' enum.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/ClientServerKind.html" title="enum in org.eclipse.papyrus.MARTE.MARTE_DesignModel.GCM"><code>ClientServerKind</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/impl/GCMPackageImpl.html#getClientServerKind--"><code>GCMPackageImpl.getClientServerKind()</code></a></dd>
</dl>
</li>
</ul>
<a name="DATA_POOL_ORDERING_KIND">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>DATA_POOL_ORDERING_KIND</h4>
<pre>static final&nbsp;org.eclipse.emf.ecore.EEnum DATA_POOL_ORDERING_KIND</pre>
<div class="block">The meta object literal for the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/DataPoolOrderingKind.html" title="enum in org.eclipse.papyrus.MARTE.MARTE_DesignModel.GCM"><code><em>Data Pool Ordering Kind</em></code></a>' enum.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/DataPoolOrderingKind.html" title="enum in org.eclipse.papyrus.MARTE.MARTE_DesignModel.GCM"><code>DataPoolOrderingKind</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/impl/GCMPackageImpl.html#getDataPoolOrderingKind--"><code>GCMPackageImpl.getDataPoolOrderingKind()</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/GCMPackage.Literals.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/GCMPackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.GCM"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/GCMTrigger.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.GCM"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_DesignModel/GCM/GCMPackage.Literals.html" target="_top">Frames</a></li>
<li><a href="GCMPackage.Literals.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
